.button {
  &--loading {
    opacity: 0.5;
  }

  &--disabled {
    opacity: 0.3;
    cursor: default;
  }

  &--bordered {
    background: none;
    border: 1px solid rgba(0, 0, 0, 0.6);
    border-radius: 3px;
    padding: 10px 14px;
  }

  &--align-left {
    justify-content: flex-start;
  }

  &--small-size {
    padding: 4px 14px;
  }

  &--rounded {
    padding: 0;
    border-radius: 50%;
  }

  &--underlined {
    padding: 0;
    background: none;
    text-decoration: underline;
  }

  &--content-only {
    background: none;
    border: none;

    &:hover {
      background-color: #212121;
    }
  }
}
